--modificata per i cc in liq Marianna
-- Aggiunta GESTIONE EligoTitoli L192 (FCianfa, 01/12/2014)
CREATE VIEW [C6Mart].[rp_vTuttiIPortafogli_aladdin]
AS
--349
SELECT
		PATRIMONIO_BF.RETE						AS Rete,
		--PATRIMONIO_BF.COD_FISCALE				AS CodiceFiscale,
		-------------------------------------------------- diff cf|Piva|fid codman
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 16 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END  AS CODFIS,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 11 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END  AS PIVA,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) < 11 THEN substring(PATRIMONIO_BF.COD_FISCALE,4,6) ELSE '' END  AS CODMAN,
		------------------------------------------------
		CASE
			WHEN PATRIMONIO_BF.ID_AREA = 'NA' THEN 
				'COMPLESSIVO|BF|NA|' + PATRIMONIO_BF.POSITION_ID	
--			WHEN PATRIMONIO_BF.ID_AREA = 'Cc' THEN 
--				'COMPLESSIVO|BF|CC|' + PATRIMONIO_BF.POSITION_ID
			ELSE
				'COMPLESSIVO|BF|' + 
				LEFT(PATRIMONIO_BF.ID_AREA,3) + 
				CASE 
					WHEN PATRIMONIO_BF.NOME_PROGETTO IS NOT NULL THEN '|' + PATRIMONIO_BF.NOME_PROGETTO 
					ELSE '' 
				END + '|' + PATRIMONIO_BF.POSITION_ID	
		END										AS Portafoglio,
--		CASE ANAG_PRODOTTI.COD_ISIN --SELEZIONE DEL CODICEPRODOTTO: COD_ISIN, COD_ADEGUATEZZA, '$'
--			WHEN '$' THEN ANAG_PRODOTTI.COD_ADEGUATEZZA
--			ELSE ANAG_PRODOTTI.COD_ISIN
--		END										AS CodiceProdotto,
-- MODIFICA LUCA
		CASE ANAG_PRODOTTI.COD_ADEGUATEZZA --SELEZIONE DEL CODICEPRODOTTO: COD_ISIN, COD_ADEGUATEZZA, '$'
			WHEN '$' THEN ANAG_PRODOTTI.COD_ISIN
			ELSE ANAG_PRODOTTI.COD_ADEGUATEZZA
		END										AS CodiceProdotto,
		--- 23//5/2018 ----------------------------------------
		CASE ANAG_PRODOTTI.COD_ADEGUATEZZA 
			WHEN '$' THEN ''
			ELSE ANAG_PRODOTTI.COD_ADEGUATEZZA
		END										AS CodiceAdeguatezza,
		-----------------------------------------------------------
		ltrim(rtrim(ISNULL(PATRIMONIO_BF.COD_INTERNO, '')))	AS codiceInterno,
		''										AS CodiceValuta,
		''										AS Classe,
--INIZIO INTERVENTO OMNIA
--  PATRIMONIO_BF.CTV_NOMINALE    AS CtvNominale,
--  PATRIMONIO_BF.CTV      AS CtvReale
  case when PATRIMONIO_BF.ISIN in('EURO00000009', 'EURO10000007') then 0.0000
  else PATRIMONIO_BF.CTV_NOMINALE end AS CtvNominale ,
  case when PATRIMONIO_BF.ISIN in('EURO00000009', 'EURO10000007') then 0.0000
  else PATRIMONIO_BF.CTV end AS CtvReale ,
--FINE INTERVENTO OMNIA
	'COMPLESSIVO|BF' as tipoptf,
		isnull(ANAG_PRODOTTI.cod_maf,'') as cod_maf,
		'' as intermediario,
		ANAG_PRODOTTI.tipo_prodotto as famprodt,
		'' as assetterzi,
		substring(patrimonio_bf.position_id,58,11) as codconf,
		substring(patrimonio_bf.position_id,69,12) as conto,
		substring(patrimonio_bf.position_id,81,4) as rubr,
		substring(patrimonio_bf.position_id,85,1) as custgar,
		ANAG_PRODOTTI.cod_interno as cod_interno,
		substring(patrimonio_bf.position_id,97,8) as termid,
		substring(patrimonio_bf.position_id,105,3) as annos,
		substring(patrimonio_bf.position_id,108,8) as progs,
		--CASE 
		--	when core.fondocore > 0 then ''
		--	ELSE	ANAG_PRODOTTI.cod_isin 
		--END as cod_isin,
		CASE 
			when isnull(core.fondocore,0) > 0 or (LEN(isnull(ANAG_PRODOTTI.cod_isin,''))<12 and isnull(core.fondocore,0)=0 and ANAG_PRODOTTI.tipo_prodotto not in ('GP','CC','DT'))then ''
			ELSE	ANAG_PRODOTTI.cod_isin 
		END as cod_isin,
		isnull(ANAG_PRODOTTI.cod_sottoprodotto,'') as cod_sottoProdotto,
		LEFT(PATRIMONIO_BF.ID_AREA,3) as area,
				CASE 
					WHEN isnull(PATRIMONIO_BF.NOME_PROGETTO, '') <> '' THEN PATRIMONIO_BF.NOME_PROGETTO 
					ELSE 'Progetto investimento'
				END as Progetto,
		case when isnull(PATRIMONIO_BF.ID_AREA,'') = 'NA' then ''
		else isnull(rep.chiaveProgetto,'') end as codprj,
		'' as chiave_prodotto_terzi,
		substring(patrimonio_bf.position_id,86,11) as numpolizza,
	CASE
			WHEN PATRIMONIO_BF.ID_AREA = 'NA' THEN 
				'COMPLESSIVO|BF|NA|' + PATRIMONIO_BF.POSITION_ID	
--			WHEN PATRIMONIO_BF.ID_AREA = 'Cc' THEN 
--				'COMPLESSIVO|BF|CC|' + PATRIMONIO_BF.POSITION_ID
			ELSE
				'COMPLESSIVO|BF|' + 
				LEFT(PATRIMONIO_BF.ID_AREA,3) + 
				CASE 
					WHEN PATRIMONIO_BF.NOME_PROGETTO IS NOT NULL THEN '|' + PATRIMONIO_BF.NOME_PROGETTO 
					ELSE '' 
				END + '|' + PATRIMONIO_BF.POSITION_ID	
		END + '@' + CAST(ROW_NUMBER() OVER (ORDER BY PATRIMONIO_BF.RETE ASC,CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 16 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 11 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END ,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) < 11 THEN substring(PATRIMONIO_BF.COD_FISCALE,4,6) ELSE '' END) AS varchar )	as position_id
	FROM C6Mart.PATRIMONIO_BF
	INNER JOIN C6MART.RP_vContrattiPerGenerazioneReport VCONTRATTIPERSEI
		ON VCONTRATTIPERSEI.RETE = PATRIMONIO_BF.RETE
		AND VCONTRATTIPERSEI.COD_FISCALE = PATRIMONIO_BF.COD_FISCALE
	INNER JOIN C6MART.ANAG_PRODOTTI 
		ON ANAG_PRODOTTI.COD_PRODOTTO = PATRIMONIO_BF.COD_PRODOTTO
	left join (select fondocore,catalogueid from c6stagingperiodico.rp_catalogoprodotti where fondocore>0) as core
	on Patrimonio_BF.cod_prodotto = core.catalogueid
	inner join C6Staging.RP_Consulenza rep
	on rep.position_id = PATRIMONIO_BF.POSITION_ID
	WHERE PATRIMONIO_BF.TIPO_PRODOTTO NOT IN ('ASUL','CC','ASU2')
--INIZIO INTERVENTO OMNIA
	AND PATRIMONIO_BF.ID_AREA <> 'SELF'
--FINE INTERVENTO OMNIA
UNION ALL
---V Modifica per calcolo VaR prodotti ASU2
SELECT
		PATRIMONIO_BF.RETE						AS Rete,
		--PATRIMONIO_BF.COD_FISCALE				AS CodiceFiscale,
		-------------------------------------------------- diff cf|Piva|fid codman
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 16 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END  AS CODFIS,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 11 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END  AS PIVA,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) < 11 THEN substring(PATRIMONIO_BF.COD_FISCALE,4,6) ELSE '' END  AS CODMAN,
		------------------------------------------------
		CASE
			WHEN PATRIMONIO_BF.ID_AREA = 'NA' THEN 
				'COMPLESSIVO|BF|NA|' + PATRIMONIO_BF.POSITION_ID	
--			WHEN PATRIMONIO_BF.ID_AREA = 'Cc' THEN 
--				'COMPLESSIVO|BF|CC|' + PATRIMONIO_BF.POSITION_ID
			ELSE
				'COMPLESSIVO|BF|' + 
				LEFT(PATRIMONIO_BF.ID_AREA,3) + 
				CASE 
					WHEN PATRIMONIO_BF.NOME_PROGETTO IS NOT NULL THEN '|' + PATRIMONIO_BF.NOME_PROGETTO 
					ELSE '' 
				END + '|' + PATRIMONIO_BF.POSITION_ID	
		END										AS Portafoglio,
--		CASE ANAG_PRODOTTI.COD_ISIN --SELEZIONE DEL CODICEPRODOTTO: COD_ISIN, COD_ADEGUATEZZA, '$'
--			WHEN '$' THEN ANAG_PRODOTTI.COD_ADEGUATEZZA
--			ELSE ANAG_PRODOTTI.COD_ISIN
--		END										AS CodiceProdotto,
---- MODIFICA LUCA
--V Modifica per gli ASU2 CON IL COD_ADEGUATEZZA NON BECCA NESSUN PRODTTO PROMETEIA
--		CASE ANAG_PRODOTTI.COD_ADEGUATEZZA --SELEZIONE DEL CODICEPRODOTTO: COD_ISIN, COD_ADEGUATEZZA, '$'
--			WHEN '$' THEN ANAG_PRODOTTI.COD_ISIN
--			ELSE ANAG_PRODOTTI.COD_ADEGUATEZZA END	
		PATRIMONIO_BF.ISIN AS CodiceProdotto,
		--- 23//5/2018
		CASE ANAG_PRODOTTI.COD_ADEGUATEZZA 
			WHEN '$' THEN ''
			ELSE ANAG_PRODOTTI.COD_ADEGUATEZZA
		END										AS CodiceAdeguatezza,
		ltrim(rtrim(ISNULL(PATRIMONIO_BF.COD_INTERNO, ''))) AS codiceInterno,
		''										AS CodiceValuta,
		''										AS Classe,
		--V FRANCHIGIA CC
--		CASE WHEN PATRIMONIO_BF.ID_AREA = 'Cc' AND PATRIMONIO_BF.CTV_NOMINALE <  CAST(DBO.GETPARAMETRO('FRANCHIGIA_CC') AS INT)
--			THEN 0
--			ELSE PATRIMONIO_BF.CTV_NOMINALE
--		END AS CtvNominale,
     PATRIMONIO_BF.CTV_NOMINALE AS CtvNominale,
		--PATRIMONIO_BF.CTV_NOMINALE				AS CtvNominale,
--		CASE WHEN PATRIMONIO_BF.ID_AREA = 'Cc' AND  PATRIMONIO_BF.CTV <  CAST(DBO.GETPARAMETRO('FRANCHIGIA_CC') AS INT)
--			THEN 0
--			ELSE PATRIMONIO_BF.CTV
--		END AS CtvReale
		PATRIMONIO_BF.CTV						AS CtvReale,
				'COMPLESSIVO|BF' as tipoptf,
		isnull(ANAG_PRODOTTI.cod_maf,'') as cod_maf,
		'' as intermediario,
		ANAG_PRODOTTI.tipo_prodotto as famprodt,
		'' as assetterzi,
		substring(patrimonio_bf.position_id,58,11) as codconf,
		substring(patrimonio_bf.position_id,69,12) as conto,
		substring(patrimonio_bf.position_id,81,4) as rubr,
		substring(patrimonio_bf.position_id,85,1) as custgar,
		isnull(ANAG_PRODOTTI.cod_interno,'') as cod_interno,
		substring(patrimonio_bf.position_id,97,8) as termid,
		substring(patrimonio_bf.position_id,105,3) as annos,
		substring(patrimonio_bf.position_id,108,8) as progs,
		ANAG_PRODOTTI.cod_isin as cod_isin,
		isnull(ANAG_PRODOTTI.cod_sottoprodotto,'') as cod_sottoProdotto,
		LEFT(PATRIMONIO_BF.ID_AREA,3) as area,
				CASE 
					WHEN isnull(PATRIMONIO_BF.NOME_PROGETTO, '') <> '' THEN PATRIMONIO_BF.NOME_PROGETTO 
					ELSE 'Progetto investimento'
				END as Progetto,
		case when isnull(PATRIMONIO_BF.ID_AREA,'') = 'NA' then ''
		else isnull(rep.chiaveProgetto,'') end as codprj,
		'' as chiave_prodotto_terzi,
		substring(patrimonio_bf.position_id,86,11) as numpolizza,
		CASE
			WHEN PATRIMONIO_BF.ID_AREA = 'NA' THEN 
				'COMPLESSIVO|BF|NA|' + PATRIMONIO_BF.POSITION_ID	
--			WHEN PATRIMONIO_BF.ID_AREA = 'Cc' THEN 
--				'COMPLESSIVO|BF|CC|' + PATRIMONIO_BF.POSITION_ID
			ELSE
				'COMPLESSIVO|BF|' + 
				LEFT(PATRIMONIO_BF.ID_AREA,3) + 
				CASE 
					WHEN PATRIMONIO_BF.NOME_PROGETTO IS NOT NULL THEN '|' + PATRIMONIO_BF.NOME_PROGETTO 
					ELSE '' 
				END + '|' + PATRIMONIO_BF.POSITION_ID	
		END + '@' + CAST(ROW_NUMBER() OVER (ORDER BY PATRIMONIO_BF.RETE ASC,CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 16 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 11 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END ,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) < 11 THEN substring(PATRIMONIO_BF.COD_FISCALE,4,6) ELSE '' END) AS varchar )  as position_id
	FROM C6Mart.PATRIMONIO_BF
	INNER JOIN C6MART.RP_vContrattiPerGenerazioneReport VCONTRATTIPERSEI
		ON VCONTRATTIPERSEI.RETE = PATRIMONIO_BF.RETE
		AND VCONTRATTIPERSEI.COD_FISCALE = PATRIMONIO_BF.COD_FISCALE
	INNER JOIN C6MART.ANAG_PRODOTTI 
		ON ANAG_PRODOTTI.COD_PRODOTTO = PATRIMONIO_BF.COD_PRODOTTO
		AND ANAG_PRODOTTI.COD_ISIN = PATRIMONIO_BF.ISIN
	inner join C6Staging.RP_Consulenza rep
	on rep.position_id = PATRIMONIO_BF.POSITION_ID
	WHERE PATRIMONIO_BF.TIPO_PRODOTTO IN ('ASU2')
	UNION ALL
	-- PATRIMONIO ASUL
	SELECT 
		PATRIMONIO_BF.RETE						AS Rete,
		--PATRIMONIO_BF.COD_FISCALE				AS CodiceFiscale,
		-------------------------------------------------- diff cf|Piva|fid codman
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 16 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END  AS CODFIS,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 11 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END  AS PIVA,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) < 11 THEN substring(PATRIMONIO_BF.COD_FISCALE,4,6) ELSE '' END  AS CODMAN,
		------------------------------------------------
		CASE
			WHEN PATRIMONIO_BF.ID_AREA = 'NA' THEN 
				'COMPLESSIVO|BF|NA|' + PATRIMONIO_BF.POSITION_ID	
--		
--			WHEN PATRIMONIO_BF.ID_AREA = 'Cc' THEN 
--				'COMPLESSIVO|BF|CC|' + PATRIMONIO_BF.POSITION_ID
			ELSE
				'COMPLESSIVO|BF|' + 
				LEFT(PATRIMONIO_BF.ID_AREA,3) + 
				CASE 
					WHEN PATRIMONIO_BF.NOME_PROGETTO IS NOT NULL THEN '|' + PATRIMONIO_BF.NOME_PROGETTO 
					ELSE '' 
				END + '|' + PATRIMONIO_BF.POSITION_ID	
		END											AS Portafoglio,
		CASE DETTAGLIO_ASUL.COD_ISIN_FITTIZIO --SELEZIONE DEL CODICEPRODOTTO: DETTAGLIO_ASUL.COD_ISIN_FITTIZIO, DETTAGLIO_ASUL.COD_SOTTOPRODOTTO, '$'
			WHEN '' THEN DETTAGLIO_ASUL.COD_ISIN_SOTT
			ELSE DETTAGLIO_ASUL.COD_ISIN_FITTIZIO
		END										AS CodiceProdotto,
		--- 10/5/2021 nuovo sviluppo aladdin-------------------------------------------------		
		CASE isnull(ANAG_PRODOTTI.COD_ADEGUATEZZA,'') 
			WHEN '$' THEN ''
			ELSE isnull(ANAG_PRODOTTI.COD_ADEGUATEZZA,'')
		END										AS CodiceAdeguatezza,
		---------------------------------------------------------------
		ltrim(rtrim(ISNULL(PATRIMONIO_BF.COD_INTERNO, ''))) AS codiceInterno,
		''										AS CodiceValuta,
		''										AS Classe,
		DETTAGLIO_ASUL.CTV						AS CtvNominale,
		DETTAGLIO_ASUL.CTV						AS CtvReale,
			'COMPLESSIVO|BF' as tipoptf,
		isnull(DETTAGLIO_ASUL.cod_maf_sott,'') as cod_maf,
		'' as intermediario,
		'ASUL' as famprodt,
		'' as assetterzi,
		substring(patrimonio_bf.position_id,58,11) as codconf,
		substring(patrimonio_bf.position_id,69,12) as conto,
		substring(patrimonio_bf.position_id,81,4) as rubr,
		substring(patrimonio_bf.position_id,85,1) as custgar,
		DETTAGLIO_ASUL.cod_interno as cod_interno,
		substring(patrimonio_bf.position_id,97,8) as termid,
		substring(patrimonio_bf.position_id,105,3) as annos,
		substring(patrimonio_bf.position_id,108,8) as progs,
		DETTAGLIO_ASUL.cod_isin_fittizio as cod_isin,
		--ANAG_PRODOTTI.cod_sottoprodotto as cod_sottoProdotto,
		ISNULL(DETTAGLIO_ASUL.cod_sottoprodotto, '') --SELEZIONE DEL CODICEPRODOTTO: COD_ISIN, COD_ADEGUATEZZA, '$'
												AS cod_sottoProdotto,
		LEFT(PATRIMONIO_BF.ID_AREA,3) as area,
				CASE 
					WHEN isnull(PATRIMONIO_BF.NOME_PROGETTO, '') <> '' THEN PATRIMONIO_BF.NOME_PROGETTO 
					ELSE 'Progetto investimento'
				END as Progetto,
		case when isnull(PATRIMONIO_BF.ID_AREA,'') = 'NA' then ''
		else isnull(rep.chiaveProgetto,'') end as codprj,
		'' as chiave_prodotto_terzi,
		substring(patrimonio_bf.position_id,86,11) as numpolizza,
		CASE
			WHEN PATRIMONIO_BF.ID_AREA = 'NA' THEN 
				'COMPLESSIVO|BF|NA|' + PATRIMONIO_BF.POSITION_ID	
--		
--			WHEN PATRIMONIO_BF.ID_AREA = 'Cc' THEN 
--				'COMPLESSIVO|BF|CC|' + PATRIMONIO_BF.POSITION_ID
			ELSE
				'COMPLESSIVO|BF|' + 
				LEFT(PATRIMONIO_BF.ID_AREA,3) + 
				CASE 
					WHEN PATRIMONIO_BF.NOME_PROGETTO IS NOT NULL THEN '|' + PATRIMONIO_BF.NOME_PROGETTO 
					ELSE '' 
				END + '|' + PATRIMONIO_BF.POSITION_ID	
		END + '@' + CAST(ROW_NUMBER() OVER (ORDER BY PATRIMONIO_BF.RETE ASC,CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 16 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 11 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END ,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) < 11 THEN substring(PATRIMONIO_BF.COD_FISCALE,4,6) ELSE '' END) AS varchar ) as position_id
		FROM C6Mart.PATRIMONIO_BF
	INNER JOIN C6MART.DETTAGLIO_ASUL 
		ON DETTAGLIO_ASUL.ID_CONTRATTO = PATRIMONIO_BF.ID_CONTRATTO
	INNER JOIN c6mart.ANAG_PRODOTTI  ANAG_PRODOTTI
		ON ANAG_PRODOTTI.COD_PRODOTTO = DETTAGLIO_ASUL.COD_PRODOTTO
	INNER JOIN C6MART.RP_vContrattiPerGenerazioneReport VCONTRATTIPERSEI
		ON VCONTRATTIPERSEI.RETE = PATRIMONIO_BF.RETE
		AND VCONTRATTIPERSEI.COD_FISCALE = PATRIMONIO_BF.COD_FISCALE
	inner join C6Staging.RP_Consulenza rep
	on rep.position_id = PATRIMONIO_BF.POSITION_ID
	WHERE PATRIMONIO_BF.TIPO_PRODOTTO IN ('ASUL')
	--old
		--FROM C6Mart.PATRIMONIO_BF
		--INNER JOIN C6MART.DETTAGLIO_ASUL 
		--	ON DETTAGLIO_ASUL.ID_CONTRATTO = PATRIMONIO_BF.ID_CONTRATTO
		--INNER JOIN C6MART.RP_vContrattiPerGenerazioneReport VCONTRATTIPERSEI
		--	ON VCONTRATTIPERSEI.RETE = PATRIMONIO_BF.RETE
		--	AND VCONTRATTIPERSEI.COD_FISCALE = PATRIMONIO_BF.COD_FISCALE
		--WHERE PATRIMONIO_BF.TIPO_PRODOTTO IN ('ASUL')
	--fine_old
	--V S 20110823 Disabilitazione contratti liquidati in quanto sulla dettaglio asul il ctv rimane <> 0 
--	AND PATRIMONIO_BF.COD_STATO <> 'L' 
--	AND PATRIMONIO_BF.CTV <> 0
	UNION ALL
	--57
	-- PATRIMONIO TERZI
	SELECT 
		INTERMEDIARIO.RETE					AS Rete,
		-------------------------------------------------- diff cf|Piva|fid codman
		CASE WHEN LEN(LTRIM(RTRIM(INTERMEDIARIO.CODICEFISCALE))) = 16 THEN INTERMEDIARIO.CODICEFISCALE ELSE '' END  AS CODFIS,
		CASE WHEN LEN(LTRIM(RTRIM(INTERMEDIARIO.CODICEFISCALE))) = 11 THEN INTERMEDIARIO.CODICEFISCALE ELSE '' END  AS PIVA,
		CASE WHEN LEN(LTRIM(RTRIM(INTERMEDIARIO.CODICEFISCALE))) < 11 THEN substring(INTERMEDIARIO.CODICEFISCALE,4,6) ELSE '' END  AS CODMAN,
		------------------------------------------------
		INTERMEDIARIO.PORTAFOGLIO			AS Portafoglio,
		INTERMEDIARIO.CODICEADEGUATEZZA		AS CodiceProdotto,
		--- 23//5/2018-------------------------------------------------		
		--''										AS CodiceAdeguatezza,
		---------------------------------------------------------------
		INTERMEDIARIO.CODICEADEGUATEZZA		AS CodiceAdeguatezza, --modifica 050520 per anomalie Levi
		INTERMEDIARIO.PIAZZA				AS Piazza,
		INTERMEDIARIO.CODICEVALUTA			AS CodiceValuta,
		INTERMEDIARIO.CLASSE				AS Classe,
		INTERMEDIARIO.CONTROVALORE			AS CtvNominale,
		INTERMEDIARIO.CONTROVALORE			AS CtvReale,
			INTERMEDIARIO.tipoptf as tipoptf,
		isnull(INTERMEDIARIO.codiceMaf,'') as cod_maf,
		INTERMEDIARIO.INTERMEDIARIO as intermediario,
		INTERMEDIARIO.FAMPRODT as famprodt,
		INTERMEDIARIO.Asset_Terzi as assetterzi,
		'' as codconf,
		'' as conto,
		'' as rubr,
		'' as custgar,
		'' as cod_interno,
		'' as termid,
		'' as annos,
		'' as progs,
		INTERMEDIARIO.codiceisin as cod_isin,
		--ANAG_PRODOTTI.cod_sottoprodotto as cod_sottoProdotto,
		isnull(intermediario.CODiceSOTTOPRODOTTO,'') AS cod_sottoProdotto,
		'' as area,
		'' as Progetto,
		'' as codprj,
		intermediario.COD_PRODOTTO_TERZI as chiave_prodotto_terzi,
		'' as numpolizza,
		INTERMEDIARIO.PORTAFOGLIO + '@' + CAST(ROW_NUMBER() OVER (ORDER BY INTERMEDIARIO.RETE ASC,CASE WHEN LEN(LTRIM(RTRIM(INTERMEDIARIO.CODICEFISCALE))) = 16 THEN INTERMEDIARIO.CODICEFISCALE ELSE '' END,
		CASE WHEN LEN(LTRIM(RTRIM(INTERMEDIARIO.CODICEFISCALE))) = 11 THEN INTERMEDIARIO.CODICEFISCALE ELSE '' END ,
		CASE WHEN LEN(LTRIM(RTRIM(INTERMEDIARIO.CODICEFISCALE))) < 11 THEN substring(INTERMEDIARIO.CODICEFISCALE,4,6) ELSE '' END) AS varchar ) as position_id
	FROM C6MART.VPROMETEIATERZIINTERMEDIARIO_aladdin INTERMEDIARIO
	INNER JOIN C6MART.RP_vContrattiPerGenerazioneReport  VCONTRATTIPERSEI
		ON VCONTRATTIPERSEI.RETE = INTERMEDIARIO.RETE
		AND VCONTRATTIPERSEI.COD_FISCALE = INTERMEDIARIO.CODICEFISCALE
	UNION ALL 
	--55
	-- PATRIMONIO TERZI X TIPO PRODOTTO
	SELECT 
		CATEGORIAPRODOTTO.RETE				AS Rete,
		-------------------------------------------------- diff cf|Piva|fid codman
		CASE WHEN LEN(LTRIM(RTRIM(CATEGORIAPRODOTTO.CODICEFISCALE))) = 16 THEN CATEGORIAPRODOTTO.CODICEFISCALE ELSE '' END  AS CODFIS,
		CASE WHEN LEN(LTRIM(RTRIM(CATEGORIAPRODOTTO.CODICEFISCALE))) = 11 THEN CATEGORIAPRODOTTO.CODICEFISCALE ELSE '' END  AS PIVA,
		CASE WHEN LEN(LTRIM(RTRIM(CATEGORIAPRODOTTO.CODICEFISCALE))) < 11 THEN substring(CATEGORIAPRODOTTO.CODICEFISCALE,4,6) ELSE '' END  AS CODMAN,
		------------------------------------------------
		CATEGORIAPRODOTTO.PORTAFOGLIO		AS Portafoglio,
		CATEGORIAPRODOTTO.CODICEADEGUATEZZA	AS CodiceProdotto,
		--- 23//5/2018-------------------------------------------------		
		''										AS CodiceAdeguatezza,
		---------------------------------------------------------------
		CATEGORIAPRODOTTO.PIAZZA			AS Piazza,
		CATEGORIAPRODOTTO.CODICEVALUTA		AS CodiceValuta,
		CATEGORIAPRODOTTO.CLASSE			AS Classe,
		CATEGORIAPRODOTTO.CONTROVALORE		AS CtvNominale,
		CATEGORIAPRODOTTO.CONTROVALORE		AS CtvReale,
		CATEGORIAPRODOTTO.tipoptf as tipoptf,
		isnull(CATEGORIAPRODOTTO.codiceMaf,'') as cod_maf,
		'' as intermediario,
		CATEGORIAPRODOTTO.famprodt as famprodt,
		CATEGORIAPRODOTTO.Asset_Terzi as assetterzi,
		'' as codconf,
		'' as conto,
		'' as rubr,
		'' as custgar,
		'' as cod_interno,
		'' as termid,
		'' as annos,
		'' as progs,
		CATEGORIAPRODOTTO.codiceisin as cod_isin,
		--ANAG_PRODOTTI.cod_sottoprodotto as cod_sottoProdotto,
		isnull(CATEGORIAPRODOTTO.CODiceSOTTOPRODOTTO,'') AS cod_sottoProdotto,
		'' as area,
		'' as Progetto,
		'' as codprj,
		CATEGORIAPRODOTTO.COD_PRODOTTO_TERZI as chiave_prodotto_terzi,
		'' as numpolizza,
		CATEGORIAPRODOTTO.PORTAFOGLIO + '@' + CAST(ROW_NUMBER() OVER (ORDER BY CATEGORIAPRODOTTO.RETE ASC,
		CASE WHEN LEN(LTRIM(RTRIM(CATEGORIAPRODOTTO.CODICEFISCALE))) = 16 THEN CATEGORIAPRODOTTO.CODICEFISCALE ELSE '' END,
		CASE WHEN LEN(LTRIM(RTRIM(CATEGORIAPRODOTTO.CODICEFISCALE))) = 11 THEN CATEGORIAPRODOTTO.CODICEFISCALE ELSE '' END ,
		CASE WHEN LEN(LTRIM(RTRIM(CATEGORIAPRODOTTO.CODICEFISCALE))) < 11 THEN substring(CATEGORIAPRODOTTO.CODICEFISCALE,4,6) ELSE '' END) AS varchar ) as position_id
	FROM C6MART.VPROMETEIATERZICATEGORIAPRODOTTO_aladdin CATEGORIAPRODOTTO
	INNER JOIN C6MART.RP_vContrattiPerGenerazioneReport VCONTRATTIPERSEI 
		ON VCONTRATTIPERSEI.RETE = CATEGORIAPRODOTTO.RETE
		AND VCONTRATTIPERSEI.COD_FISCALE = CATEGORIAPRODOTTO.CODICEFISCALE
--V Conti correnti Fideuram
union all
--70
SELECT
		PATRIMONIO_BF.RETE						AS Rete,
		--PATRIMONIO_BF.COD_FISCALE				AS CodiceFiscale,
			-------------------------------------------------- diff cf|Piva|fid codman
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 16 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END  AS CODFIS,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 11 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END  AS PIVA,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) < 11 THEN substring(PATRIMONIO_BF.COD_FISCALE,4,6) ELSE '' END  AS CODMAN,
		------------------------------------------------
		CASE
--			WHEN PATRIMONIO_BF.ID_AREA = 'NA' THEN 
--				'COMPLESSIVO|BF|NA|' + PATRIMONIO_BF.POSITION_ID	
--		
			WHEN PATRIMONIO_BF.ID_AREA = 'Cc' THEN 
				'COMPLESSIVO|BF|CC'-- + PATRIMONIO_BF.POSITION_ID
			WHEN (PATRIMONIO_BF.ID_AREA = 'Liq' and PATRIMONIO_BF.TIPO_PRODOTTO='CC') THEN 
				'COMPLESSIVO|BF|CC'
--			ELSE
--				'COMPLESSIVO|BF|' + 
--				LEFT(PATRIMONIO_BF.ID_AREA,3) + 
--				CASE 
--					WHEN PATRIMONIO_BF.NOME_PROGETTO IS NOT NULL THEN '|' + PATRIMONIO_BF.NOME_PROGETTO 
--					ELSE '' 
--				END + '|' + PATRIMONIO_BF.POSITION_ID	
		END										AS Portafoglio,
--		CASE ANAG_PRODOTTI.COD_ISIN --SELEZIONE DEL CODICEPRODOTTO: COD_ISIN, COD_ADEGUATEZZA, '$'
--			WHEN '$' THEN ANAG_PRODOTTI.COD_ADEGUATEZZA
--			ELSE ANAG_PRODOTTI.COD_ISIN
--		END										AS CodiceProdotto,
-- MODIFICA LUCA
--		CASE ANAG_PRODOTTI.COD_ADEGUATEZZA --SELEZIONE DEL CODICEPRODOTTO: COD_ISIN, COD_ADEGUATEZZA, '$'
--			WHEN '$' THEN ANAG_PRODOTTI.COD_ISIN
--			ELSE ANAG_PRODOTTI.COD_ADEGUATEZZA
--		END										
		'' AS CodiceProdotto,
		--- 23//5/2018 ----------------------------------------
		'EUR' AS CodiceAdeguatezza,
		-----------------------------------------------------------
		'EUR'									AS Piazza,
		ltrim(rtrim(ISNULL(PATRIMONIO_BF.COD_MAF, ''))) AS CodiceValuta, --codiceMAF
		ltrim(rtrim(ISNULL(PATRIMONIO_BF.COD_SOTTOPRODOTTO, ''))) AS Classe,
		--V FRANCHIGIA CC
--		CASE WHEN PATRIMONIO_BF.ID_AREA = 'Cc' AND PATRIMONIO_BF.CTV_NOMINALE <  CAST(DBO.GETPARAMETRO('FRANCHIGIA_CC') AS INT)
--			THEN 0
--			ELSE PATRIMONIO_BF.CTV_NOMINALE
--		END AS CtvNominale,
		case when (sum(PATRIMONIO_BF.CTV_NOMINALE)	- c6staging.getImportoSpesa(PATRIMONIO_BF.RETE,PATRIMONIO_BF.Cod_Fiscale))>0 then sum(PATRIMONIO_BF.CTV_NOMINALE)	- c6staging.getImportoSpesa(PATRIMONIO_BF.RETE,PATRIMONIO_BF.Cod_Fiscale)
			else 0 end AS CtvNominale ,
--		CASE WHEN PATRIMONIO_BF.ID_AREA = 'Cc' AND  PATRIMONIO_BF.CTV <  CAST(DBO.GETPARAMETRO('FRANCHIGIA_CC') AS INT)
--			THEN 0
--			ELSE PATRIMONIO_BF.CTV
--		END AS CtvReale
		case when (sum(PATRIMONIO_BF.CTV)	- c6staging.getImportoSpesa(PATRIMONIO_BF.RETE,PATRIMONIO_BF.Cod_Fiscale))>0 then	sum(PATRIMONIO_BF.CTV)	- c6staging.getImportoSpesa(PATRIMONIO_BF.RETE,PATRIMONIO_BF.Cod_Fiscale)
		else 0 end AS CtvReale ,
		'COMPLESSIVO|BF' as								tipoptf,
		'' as						cod_maf,
		'' as											intermediario,
		'CC' as											famprodt,
		'' as											assetterzi,
		'' as	codconf,
		'' as	conto,
		'' as	rubr,
		'' as	custgar,
		'EUR' as					cod_interno,
		'' as	termid,
		'' as	annos,
		'' as	progs,
		'EUR' as						cod_isin,
		'' as				cod_sottoProdotto,
		case WHEN LEFT(PATRIMONIO_BF.ID_AREA,3) = 'Cc' THEN 
				'Liq'-- + PATRIMONIO_BF.POSITION_ID
			WHEN (LEFT(PATRIMONIO_BF.ID_AREA,3) = 'Liq' and PATRIMONIO_BF.TIPO_PRODOTTO='CC') THEN 
				'Liq' 
				END as				area,
				CASE 
					WHEN isnull(PATRIMONIO_BF.NOME_PROGETTO, '') <> '' THEN PATRIMONIO_BF.NOME_PROGETTO 
					ELSE 'Progetto investimento'
				END as Progetto,
		'' as codprj,
		'' as chiave_prodotto_terzi,
		'' as numpolizza,
		CASE
			WHEN PATRIMONIO_BF.ID_AREA = 'Cc' THEN 
				'COMPLESSIVO|BF|CC'
			WHEN (PATRIMONIO_BF.ID_AREA = 'Liq' and PATRIMONIO_BF.TIPO_PRODOTTO='CC') THEN 
				'COMPLESSIVO|BF|CC'
		END + '@' + CAST(ROW_NUMBER() OVER (ORDER BY PATRIMONIO_BF.RETE ASC,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 16 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) = 11 THEN PATRIMONIO_BF.COD_FISCALE ELSE '' END ,
		CASE WHEN LEN(LTRIM(RTRIM(PATRIMONIO_BF.COD_FISCALE))) < 11 THEN substring(PATRIMONIO_BF.COD_FISCALE,4,6) ELSE '' END) AS varchar )
		as position_id
FROM C6Mart.PATRIMONIO_BF
	INNER JOIN C6MART.RP_vContrattiPerGenerazioneReport VCONTRATTIPERSEI
		ON VCONTRATTIPERSEI.RETE = PATRIMONIO_BF.RETE
		AND VCONTRATTIPERSEI.COD_FISCALE = PATRIMONIO_BF.COD_FISCALE
	INNER JOIN C6MART.ANAG_PRODOTTI 
		ON ANAG_PRODOTTI.COD_PRODOTTO = PATRIMONIO_BF.COD_PRODOTTO
		--left join c6mart.mifid mifid
	--	on mifid.RETE=PATRIMONIO_BF.RETE
		--AND mifid.COD_FISCALE = mifid.COD_FISCALE
	WHERE PATRIMONIO_BF.TIPO_PRODOTTO  IN ('CC')
group by 
	PATRIMONIO_BF.rete,
	PATRIMONIO_BF.cod_fiscale,
	CASE ANAG_PRODOTTI.COD_ADEGUATEZZA --SELEZIONE DEL CODICEPRODOTTO: COD_ISIN, COD_ADEGUATEZZA, '$'
			WHEN '$' THEN ANAG_PRODOTTI.COD_ISIN
			ELSE ANAG_PRODOTTI.COD_ADEGUATEZZA
	END,
	CASE
--			WHEN PATRIMONIO_BF.ID_AREA = 'NA' THEN 
--				'COMPLESSIVO|BF|NA|' + PATRIMONIO_BF.POSITION_ID	
--		
			WHEN PATRIMONIO_BF.ID_AREA = 'Cc' THEN 
				'COMPLESSIVO|BF|CC'-- + PATRIMONIO_BF.POSITION_ID
			WHEN (PATRIMONIO_BF.ID_AREA = 'Liq' and PATRIMONIO_BF.TIPO_PRODOTTO='CC') THEN 
				'COMPLESSIVO|BF|CC'
--			ELSE
--				'COMPLESSIVO|BF|' + 
--				LEFT(PATRIMONIO_BF.ID_AREA,3) + 
--				CASE 
--					WHEN PATRIMONIO_BF.NOME_PROGETTO IS NOT NULL THEN '|' + PATRIMONIO_BF.NOME_PROGETTO 
--					ELSE '' 
--				END + '|' + PATRIMONIO_BF.POSITION_ID	
		END,
		ltrim(rtrim(ISNULL(PATRIMONIO_BF.COD_MAF, ''))) , --codiceMAF
		ltrim(rtrim(ISNULL(PATRIMONIO_BF.COD_SOTTOPRODOTTO, ''))),
		case WHEN LEFT(PATRIMONIO_BF.ID_AREA,3) = 'Cc' THEN 
				'Liq'-- + PATRIMONIO_BF.POSITION_ID
			WHEN (LEFT(PATRIMONIO_BF.ID_AREA,3) = 'Liq' and PATRIMONIO_BF.TIPO_PRODOTTO='CC') THEN 
				'Liq' 
				END ,
				CASE 
					WHEN isnull(PATRIMONIO_BF.NOME_PROGETTO, '') <> '' THEN PATRIMONIO_BF.NOME_PROGETTO 
					ELSE 'Progetto investimento'
					end